package com.engine.salary.util.report;

import com.engine.salary.encrypt.AESEncryptUtil;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

public class SalaryReportUtil {

    /**
     * 薪酬解密方法
     *
     * @param s 待解密字符串集合
     * @return 解密字符集合
     */
    public static List<String> decrypt(List<String> s) {
        if (s != null) {
            return s.stream().map(AESEncryptUtil::decrypt).collect(Collectors.toList());
        }
        return new ArrayList<>();
    }

    /**
     * 薪酬解密方法
     *
     * @param s 待解密字符串
     * @return 解密字符
     */
    public static String decrypt(String s) {
        return AESEncryptUtil.decrypt(s);
    }

}
